#norootforbuild

%define namebase geotiff
%define libname lib%{namebase}
%define soname  %{libname}2
Summary:        Library to handle georeferenced TIFF
Name:           %{namebase}
Version:        1.3.0
Release:        1.pm.1.1
License:        MIT, partially public domain (see LICENSE)
Group:          Applications/GIS
AutoReqProv:    on
Url:            ftp://ftp.remotesensing.org/pub/geotiff/libgeotiff/
Source0:        %{libname}-%{version}.tar.bz2
BuildRequires:  libjpeg-devel libtiff-devel libproj-devel zlib-devel
BuildRequires:  doxygen
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.

%package -n %{libname}-devel
Summary:	GeoTIFF header files
Group:		Development/Libraries
Requires:	%{libname} = %{version} libtiff-devel

%description -n %{libname}-devel
Header files for GeoTIFF library.

This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.

%package -n %{soname}
Summary:	Shared libraries for GeoTIFF library
Group:		System/Libraries
Provides:       %{libname}

%description -n %{soname}
Shared libraries for GeoTIFF library.

This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.


%prep

%setup -q -n %{libname}-%{version}
# fix wrongly encoded files from tarball
set +x
for f in `find . -type f` ; do
	if file $f | grep -q ISO-8859 ; then
		echo "Fix encoding for $f"
		set -x
		iconv -f ISO-8859-1 -t UTF-8 $f > ${f}.tmp && \
			%__mv -f ${f}.tmp $f
		set +x
	fi
	if file $f | grep -q CRLF ; then
		echo "Fix line ends for $f"
		set -x
		%__sed -i -e 's|\r||g' $f
		set +x
	fi
done
set -x

%build
export CFLAGS="$RPM_OPT_FLAGS $CFLAGS -g -fstack-protector -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -g -fstack-protector -fno-strict-aliasing"
%configure \
	--prefix=%{_prefix} \
	--includedir=%{_includedir}/%{libname} \
	--with-proj \
	--with-tiff \
	--with-jpeg \
	--with-zip \
	--with-pic \
	--enable-debug=no

%__make %{?jobs:-j%jobs}

%install
%if 0%{?suse_version}
%makeinstall INSTALL="%{__install} -p"
%else
%makeinstall INSTALL="%{__install} -p" \
   datadir=%{buildroot}/%{_datadir}/epsg_csv \
   includedir=%{buildroot}/%{_includedir}/%{libname}
%endif

# install pkgconfig file
%__cat > libgeotiff.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{libname}

Name: %{libname}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -l%{libname}
Cflags: -I\${includedir}
EOF

%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -p -m 644 %{libname}.pc %{buildroot}%{_libdir}/pkgconfig

echo  >> %{buildroot}%{_datadir}/epsg_csv/codes.csv

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n %{soname} -p /sbin/ldconfig

%postun -n %{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README COPYING
%{_bindir}/geotifcp
%{_bindir}/listgeo
%{_bindir}/applygeo
%{_bindir}/makegeo
%{_bindir}/csv2html
%dir %{_datadir}/epsg_csv
%attr(0644,root,root) %{_datadir}/epsg_csv/*.csv
%ifarch i586
%exclude %{_libdir}/debug
%endif

%files -n %{soname}
%defattr(-,root,root)
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{libname}
%attr(0644,root,root) %{_includedir}/%{libname}/*.h
%attr(0644,root,root) %{_includedir}/%{libname}/*.inc
%attr(0644,root,root) %{_libdir}/%{libname}.a
%attr(0644,root,root) %{_libdir}/%{libname}.la
%attr(0644,root,root) %{_libdir}/%{libname}.so
%attr(0644,root,root) %{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Thu Jul  8 2010 Dirk Stöcker <opensuse@dstoecker.de> 1.3.0
- Updated to 1.3.0
* Fri Jun 26 2009 Dirk Stöcker <opensuse@dstoecker.de> 1.2.5
- Updated to 1.2.5
- Using parts of spec file from PackMan for improved quality
* Mon Jun  9 2008 Dirk Stöcker <opensuse@dstoecker.de> 1.2.4
- SPEC file created for openSUSE build service
* Sat Jul 14 2007 judas_iscariote@shorewall.net
- spec file cleanup
  Mon Jun 19 12:00:00 UTC 2006 Tim Fischer
- SPEC file created for SUSE 10.1
